 25-akpm/net/core/sock.c |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

diff -puN net/core/sock.c~bsd-printk-limit net/core/sock.c
--- 25/net/core/sock.c~bsd-printk-limit	Wed Mar 12 13:23:17 2003
+++ 25-akpm/net/core/sock.c	Wed Mar 12 13:23:59 2003
@@ -155,8 +155,13 @@ static int sock_set_timeout(long *timeo_
 
 static void sock_warn_obsolete_bsdism(const char *name)
 {
-	printk(KERN_WARNING "process `%s' is using obsolete "
-	       "%s SO_BSDCOMPAT\n", current->comm, name);
+	static int warn_count;
+
+	if (warn_count < 10) {
+		printk(KERN_WARNING "process `%s' is using obsolete "
+		       "%s SO_BSDCOMPAT\n", current->comm, name);
+		warn_count++;
+	}
 }
 
 /*

_
